#
# spec file for package lxqt-sudo
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxqt-sudo
Version:        0.12.0
Release:        lp150.1.5
Summary:        GUI frontend for sudo
License:        LGPL-2.1
Group:          System/X11/Utilities
Url:            http://lxqt.org
Source:         https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  gcc-c++
BuildRequires:  lxqt-build-tools-devel
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(lxqt) >= %{version}
Recommends:     %{name}-lang
Requires:       sudo
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A graphical frontend for plain sudo (for requesting optional password in GUI
fashion).
When invoked it simply spawns child sudo process with requested command (and
arguments). If sudo requests user's password, the GUI password dialog is shown
and (after submit) the password is provided to sudo.

%prep
%setup -q

%build
%cmake -DPULL_TRANSLATIONS=No
make %{?_smp_mflags}

%install
%cmake_install

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE
%{_bindir}/%{name}
%{_bindir}/lxsu*
%{_mandir}/man?/%{name}.*
%{_mandir}/man?/lxsu*.*

%changelog
* Mon Oct 23 2017 mvetter@suse.com
- Update to 0.12.0:
  * Set informal patch version
  * Added basic .gitattributes
  * Drops Qt5Core_VERSION_STRING
  * set Qt::AA_UseHighDpiPixmaps to true
  * Bump year
* Fri Feb 24 2017 sfalken@opensuse.org
- Update to 0.11.1:
  * Make CMakeLists.txt more uniform.
* Sat Sep 24 2016 mvetter@suse.com
- Update to 0.11.0:
  * Add README.md
  * build: Forward translations parameters
  * ts-files removal (#21)
  * Remove translations (will be pulled in build time)
  * Bump year
  * Italian translation update
  * Updated Russian translation Fix language and typos
  * Add Russian translation
- Add keyring
* Wed Nov  4 2015 mvetter@suse.com
- Git build was done by aaz2011@mail.ru
- Setting minimum Cmake version
* Sun Aug 23 2015 and.november@opensuse.org
- initial package for openSUSE
